Bug 202352 - Firefox 1.5.0.5 startup script not updated for the add-on based locale
Firefox 1.5.0.5 startup script not updated for the add-on based locale
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: i18n, Patch, Regression
: 202353 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 11:48 EDT by Yue Shi Lai
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0079
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-23 16:07:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firefox-locale-support.patch (991 bytes, patch)
2006-08-24 10:39 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Yue Shi Lai 2006-08-13 11:48:35 EDT
Description of problem:

Firefox 1.5.0.5 uses a add-on based locale support. However, /usr/bin/firefox 
still expects the locale file to be located in the old filesystem layout, and 
is unable to locate any locale beside en_US. Therefore, Firefox will start up 
in en_US locale regardless of the system locale settings.

Version-Release number of selected component (if applicable):

1.5.0.5-0.el4.1

How reproducible:

Always.

Steps to Reproduce:
1. Set e.g. LANG=de_DE.UTF-8
2. Run /usr/bin/firefox
3.
  
Actual results:

Firefox starts in the US English locale, regardless of $LANG.

Expected results:

Firefox should start in the locale specified by $LANG, as long as there is an 
Firefox langauge add-on present.

Additional info:

This problem can be easily fixed by updating /usr/bin/firefox, line 142 from:

[ -f $MOZILLA_FIVE_HOME/chrome/$MOZLOCALE.jar ] && MOZARGS="-UILocale 
$MOZLOCALE"

to:

[ -f $MOZILLA_FIVE_HOME/extensions/langpack-${MOZLOCALE}@firefox.mozilla.org/
chrome/$MOZLOCALE.jar ] && MOZARGS="-UILocale $MOZLOCALE"
Comment 1 Bastien Nocera 2006-08-24 09:17:32 EDT
*** Bug 202353 has been marked as a duplicate of this bug. ***
Comment 3 RHEL Product and Program Management 2006-08-24 09:24:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Bastien Nocera 2006-08-24 10:39:14 EDT
Created attachment 134818 [details]
firefox-locale-support.patch

This patch makes Firefox:
- use the language packs, rather than just the builtin locales
- support both short and long locale names (ie. both "pt", and "pt-BR" language
packs would work as expected, for example)
Comment 6 Jay Turner 2006-08-25 12:34:35 EDT
QE ack for 4.5.
Comment 10 Christopher Aillon 2007-01-19 13:25:07 EST
Building a fix into 1.5.0.9-2.el4
Comment 14 Red Hat Bugzilla 2007-02-23 16:07:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0079.html

Note You need to log in before you can comment on or make changes to this bug.